@import url(./reset.css);
@import url(./variable-set.css);

/*-------------------------------------------*/

body {
  color: var(--color-basic-text);
  font-size: var(--font-size-md);
  letter-spacing: var(--basic-letter-spacing);
  font-family: "Hiragino Kaku Gothic ProN","Hiragino Sans",Meiryo,"Yu Gothic"
  "Segoe UI", "Helvetica Neue", Arial,
  "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei", SimHei,
  "Apple SD Gothic Neo", Gulim, "Malgun Gothic",
  sans-serif;
}
body a {
  color: var(--color-basic-text);
  transition: 0.3s ease-in-out;
}
body a:hover {
  color: var(--color-basic-text);
  text-decoration:none;
  opacity: 0.6;
}

.text-color-primary {
  color: var(--color-primary) !important;
}
.text-color-primary3 {
  color: var(--color-primary3) !important;
}
.bg-color-bg2 {
  background-color: var(--color-bg2) !important;
}
.bg-color-primary {
  background-color: var(--color-primary) !important;
}
.bg-color-primary2 {
  background-color: var(--color-primary2) !important;
}
.bg-color-primary3 {
  background-color: var(--color-primary3) !important;
}
.bg-color-primary4 {
  background-color: var(--color-primary4) !important;
}
.bg-color-primary5 {
  background-color: var(--color-primary5) !important;
}
.bg-color-primary6 {
  background-color: var(--color-primary6) !important;
}

.wrap {
  margin-bottom: var(--section-gap);
}
@media screen and (max-width:960px) {
  .wrap {
    margin-bottom: calc(var(--section-gap) - 3rem);
  }
}

.content-block {
  margin-top: var(--section-gap);
}
@media screen and (max-width:960px) {
  .content-block {
    margin-top: calc(var(--section-gap) - 3rem);
  }
}

.section-title {
  font-size: 2em;
  letter-spacing: .1em;
  line-height: 1;
  font-family: var(--font-family-serif);
  text-align: center;
  margin-bottom: var(--title-gap);
}
.section-title span {
  font-size: var(--font-size-md);
}
@media screen and (max-width:960px) {
  .section-title {
    font-size: 1.5em;
    line-height: 1.2;
    margin-bottom: calc(var(--title-gap)/2);
  }
}
.block-title {
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  transform: translateY(-30%);
  z-index: 1;
  color: var(--color-white-text);
  font-size: 3.5em;
  letter-spacing: .1em;
  line-height: 1;
  font-family: var(--font-family-serif);
  text-align: center;
}
@media screen and (max-width:960px) {
  .block-title {
    font-size: 2.5em;
    line-height: 1.2;
    padding: 0 20px;
  }
}
.block-subtitle {
  margin-bottom: 10px;
  font-size: var(--font-size-lg);
  line-height: var(--basic-line-height);
  font-family: var(--font-family-serif);
}
.subtitle {
  color: var(--color-primary3);
  font-weight: bold;
  line-height: var(--basic-line-height);
  margin-bottom: 10px;
}
.content-text {
  line-height: var(--basic-line-height);
}
.content-text a {
  text-decoration: underline;
}

.content-catch {
  font-family: var(--font-family-serif);
  font-size: var(--font-size-lg);
  line-height: var(--basic-line-height);
}

.block-mainimg-wrap {
  position: relative;
  margin-bottom: 5rem;
}
.block-mainimg-wrap::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0,0,0,.2);
  z-index: 1;
}
@media screen and (max-width:960px) {
  .block-mainimg-wrap {
    margin-bottom: 3rem;
  }
}

@media only screen and (min-width: 959px) {
  .view_sp {
    display: none !important;
  }
}

@media only screen and (max-width: 960px) {
  .view_pc {
    display: none !important;
  }
}


/* ボタン設定 */
.uk-button {
  color: var(--color-basic-text);
  border: solid 1px var(--color-border);
  background-color: var(--color-bg);
  transition: 0.3s ease-in-out;
  line-height: var(--basic-line-height);
  padding: 15px 30px;
  text-decoration: none;
}
.uk-button:hover {
  color: var(--color-basic-text);
}
.uk-button-default:hover {
  border-color: var(--color-border);
  background-color: #fff;
}
@media (max-width:640px) {
  .uk-button {
    width: 100%;
  }
}


.button-main a {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: calc(var(--basic-gap)*2) 0;
  font-family:var(--font-family-serif);
  letter-spacing: 0.1em;
  color: var(--color-white-text);
  z-index: 2;
}
.button-main a:hover {
  color: var(--color-primary);
  opacity: 1;
}
.button-main a::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -1;
  background: var(--color-primary);
  transform: skewX(-30deg);
  transition: 0.3s ease-in-out;
}
.button-main a:hover::before {
  background-color: #e5e5e5;
  cursor:pointer
}
@media screen and (max-width:960px) {
  .button-main {
    width: 95%;
    margin: 0 auto;
  }
}



/* 個別ボタン設定 */
.footer-contact-button a {
  color: var(--color-primary);
}
.footer-contact-button a::before {
  background: #fff;
  border: solid 1px var(--color-primary);
}
.footer-contact-button a:hover::before {
  border: solid 1px #e5e5e5;
}




/* 基本テーブル設定 */

.headinfo{
  border-top: solid 3px var(--color-primary3);
}
.imagearea{
  padding:50px 0;
}
.maininfo{
  border-top: solid 3px var(--color-primary3);
}
.intro th{
  background-color: var(--color-primary4);
}
.intro td{
}
.cushion td{
  background-color: var(--color-primary6);
}
.type th{
  background-color: var(--color-primary4);
  width:15%;
}
.type td{
  width:35%;
}
.detail th{
  background-color: var(--color-primary7);
  width:15%;
}
.detail td{
  width:35%;
}
.remarks th{
  background-color: var(--color-primary4);
  width:15%;
}
.remarks td{
  width:85%;
}
.uk-table {
  line-height: var(--basic-line-height);
}
.uk-table th {
  font-weight: bold;
  vertical-align: middle;
}
.uk-table th.bg-color-primary {
  color: #fff;
}
.uk-table th.bg-color-primary2 {
  color: #fff;
}
.uk-table th.bg-color-primary5 {
  color: #fff;
}
.uk-table th.bg-color-primary6 {
  color: #fff;
}
.uk-table td {
  vertical-align: middle;
}
.uk-table .border-left-solid {
  border-left: solid 3px var(--color-border);
}
.uk-table .border-left-dotted {
  border-left: dotted 2px var(--color-border);
}





/* ページ内ローカルナビ */
.local-nav {
  text-align: center;
  background-color: var(--color-bg2);
}
.local-nav .uk-button {
  min-width: 210px;
}
@media screen and (max-width:640px) {
  .local-nav .uk-button {
    width: 100%;
  }
}


/* ヘッダー */
header {
  position: relative;
  z-index: 10;
  transition: 0.3s ease-in-out;
  padding-bottom:20px;
}

.header-logo {
  margin-top: 25px;
}
.header-logo img {
  display: block;
  height: 20px;
}
@media screen and (max-width:960px) {
  .header-logo {
    margin-top: 20px;
    margin-left: 15px;
  }
  .header-logo img {
    height: 20px;
    transition: 0.3s ease-in-out;
  }
}







/* フッター */
.footer-wrap{
  padding-top: calc(var(--section-gap)/2);
  background-color: var(--color-bg);
}
.footer-holder {
  padding-left: 100px;
}
@media screen and (max-width:960px) {
  .footer-holder {
    padding-left: 35px;
  }
}
.footer-logo img{
  max-width: 500px;
  width: 85%;
}
.footer-address .content-text a {
  text-decoration: none;
}
.footer-address ul span {
  font-size: calc(var(--font-size-sm)*2);
}
.footer-address strong{
  font-weight: bold;
  font-size: var(--font-size-md);
}
.footer-wrap .gmap{
  width: 100%;
  max-width: 560px;
}
@media screen and (max-width:960px) {
  .footer-wrap .gmap{
    width: 100%;
    max-width: 100%;
  }
}


.footer-group {
  margin-top: 40px;
}
.footer-group h3 {
  color: var(--color-white-text);
}
.footer-group ul {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  gap: 5px;
}
@media screen and (max-width:960px) {
  .footer-group {
    margin-bottom: 20px;
  }
  .footer-group h3 {
    color: var(--color-white-text);
  }
  .footer-group ul {
    grid-template-columns: repeat(auto-fill, minmax(260px, 1fr));
  }
}

.footer-copy{
  font-size: var(--font-size-sm);
  text-align: center;
  background-color: var(--color-bg);
}




/* googleマップ */
.googlemap-wrap iframe {
  width: 100%;
}
.googlemap-botton a {
  padding: 0 10px 10px 10px;
  border-bottom: solid 1px var(--color-basic-text);
}
.googlemap-botton a:hover {
  color: var(--color-basic-text);
}